Apache JMeter

## org.apache.jmeter.report.gui.action
Class ReportAddParent

    java.lang.Object
      org.apache.jmeter.report.gui.action.ReportAddParent

All Implemented Interfaces:
  Command

public class ReportAddParent
extends Object
implements Command

Constructor Summary
`ReportAddParent()`

Method Summary
`protected void` `addParentToTree(TestElement newParent)`
`void` `doAction(ActionEvent e)`
`Set` `getActionNames()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportAddParent

    public ReportAddParent()

Method Detail

### doAction

    public void doAction(ActionEvent e)

  Specified by:
    `doAction` in interface `Command`

### getActionNames

    public Set getActionNames()

  Specified by:
    `getActionNames` in interface `Command`

### addParentToTree

    protected void addParentToTree(TestElement newParent)

Apache JMeter

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.